
From: Bjorn Helgaas <bjorn.helgaas@hp.com>

Fix ia64 pml4 build problem (looks like a fat-finger error to me).

Signed-off-by: Bjorn Helgaas <bjorn.helgaas@hp.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/asm-ia64/pgtable.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN include/asm-ia64/pgtable.h~pml4-ia64-build-fix include/asm-ia64/pgtable.h
--- 25/include/asm-ia64/pgtable.h~pml4-ia64-build-fix	Wed Nov 17 14:05:23 2004
+++ 25-akpm/include/asm-ia64/pgtable.h	Wed Nov 17 14:05:23 2004
@@ -317,7 +317,7 @@ pgd_index (unsigned long address)
 /* Look up a pgd entry in the gate area.  On IA-64, the gate-area
    resides in the kernel-mapped segment, hence we use pgd_offset_k()
    here.  */
-#define pml4_offset_gate(mm, addr)	pml4_offset_k(pml4_offset_k(addr),addr)
+#define pml4_offset_gate(mm, addr)	pml4_offset_k(addr)
 
 /* Find an entry in the second-level page table.. */
 #define pmd_offset(dir,addr) \
_
